# Generated by Django 3.2.8 on 2021-10-30 03:02

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Event",
            fields=[
                ("id", models.BigAutoField(primary_key=True, serialize=False)),
                ("tag", models.CharField(db_index=True, max_length=255)),
                ("data", models.JSONField()),
                ("alter_time", models.DateTimeField(auto_now_add=True)),
                ("master_id", models.CharField(max_length=255)),
            ],
            options={
                "db_table": "salt_events",
            },
        ),
        migrations.CreateModel(
            name="Jid",
            fields=[
                (
                    "jid",
                    models.CharField(
                        db_index=True, max_length=255, primary_key=True, serialize=False
                    ),
                ),
                ("load", models.JSONField()),
            ],
            options={
                "db_table": "jids",
            },
        ),
        migrations.CreateModel(
            name="Return",
            fields=[
                ("_pk", models.BigAutoField(primary_key=True, serialize=False)),
                ("fun", models.CharField(db_index=True, max_length=50)),
                ("jid", models.CharField(db_index=True, max_length=255)),
                ("return_field", models.JSONField(db_column="return")),
                (
                    "_id",
                    models.CharField(db_column="id", db_index=True, max_length=255),
                ),
                ("success", models.CharField(max_length=10)),
                ("full_ret", models.JSONField()),
                ("alter_time", models.DateTimeField(auto_now_add=True)),
            ],
            options={
                "db_table": "salt_returns",
            },
        ),
    ]
